<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8"/>
  <script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"></script>
  <script src="all.js"></script>
</head>

<body>
<h1>FIBONACCI</h1>

<div style="width:640px;height:480px" > <canvas id="container_fibo"></canvas> </div>

<script>

  function createPlot(yTitle, container) {
    const ctx = document.getElementById(container).getContext('2d');
    return new Chart(ctx, {
      type: 'line',
      options: {
        animation: false,
        legend: {
          display: false,
        },
        scales: {
          xAxes: [{
            type: 'linear'
          }],
          yAxes: [{
            display: true,
            scaleLabel: {
              display: true,
              labelString: yTitle
            }
          }]
        }
      }
    });
  }

  let chartFibo = {};

  function updateFibo() {
    const n = 10;
    const dpFibo = Array.from({length: n}, (_,i) => ({x: i, y: Module.fiboIterative(i)}));
    chartFibo.data = {
      datasets: [{
        data: dpFibo,
        borderColor: 'red',
        fill: false,
        lineTension: 0
      }]
    };
    chartFibo.update();
  }


  let chartSinus = {};

  function updateSinus() {
    const a = 2;
    const b = 0.25;
    const dpSinus = Array.from({length: 100}, (_,i) => ({x: i/100, y: Module.sinus(a, b, i / 100)}));
    chartSinus.data = {
      datasets: [{
        data: dpSinus,
        borderColor: 'red',
        fill: false,
        lineTension: 0
      }]
    };
    chartSinus.update();
  }


  Module.onRuntimeInitialized = function () {
    chartFibo = createPlot('FIBONACCI', 'container_fibo');
    updateFibo();
    chartSinus = createPlot('sinus', 'container_sinus');
    updateSinus();
  };

</script>

</body>
</html>


